ZedPay
AuthenticationDeposits API
Disbursements API
AuthenticationDeposits API
Disbursements API
  1. Deposits API
  • Making a deposit
  • Make Deposit
    POST
  • Fetch transactions
    POST
  • Payment link Deposit
    POST
  1. Deposits API

Payment link Deposit

Developing
POST
/paymentlink-deposit
Record a payment via payment links. This endpoint allows you to specify the tenantId in the request body

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.zzed.xyz/payment/v1/paymentlink-deposit' \
--header 'X-TenantId;' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "priductCode": "MEMBER_SAVINGS_DEPOSIT",
    "tenantId":"711d13ed-1310-11f1-be0d-a290a2e7ec88",
    "referenceNo": "52cfb343-f284-4254-868a-a0a47e72cf73",
    "amount": 50000,
    "paidBy": "Devine Balizza",
    "remarks": "Subscription",
    "telephoneNumber": "256752002106",
    "telephoneNetwork": "AIRTEL",
    "customerName": "Devine Balizza",
    "requestMethod": "MOBILE"
}'
Response Response Example
{}
Previous
Fetch transactions
Built with